/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.action.mapviewer.parser;

import java.util.Collection;

import de.intevation.gnv.artifactdatabase.objects.map.MapService;

/**
 * Interfacedefinition for an XMl-parser of the MV-GNV-Interface requestdocument.
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public interface ExternalCallParser {


    /**
     * Returns the geometry which was parsed from the XML-document.
     * @return the geometry.
     */
    String getGeometry();

    /**
     * Returns the srid which was parsed from the XML-document.
     * @return the srid.
     */
    String getSRS();

    /**
     * Returns the mapservices which was parsed from the XML-document.
     * @return the mapservices.
     */
    Collection<MapService> getMapServices();

    /**
     * Does the parsing work.
     * @throws ExternalCallParserException
     */
    void parse() throws ExternalCallParserException;
}
